org.eclipse.incquery.viewers.runtime.extensions.jface

## Class IncQueryViewersJFaceViewSupport

- java.lang.Object
- - org.eclipse.incquery.viewers.runtime.extensions.IncQueryViewersPartSupport
  - - org.eclipse.incquery.viewers.runtime.extensions.IncQueryViewersViewSupport
    - - org.eclipse.incquery.viewers.runtime.extensions.jface.IncQueryViewersJFaceViewSupport

- All Implemented Interfaces:
    org.eclipse.jface.viewers.ISelectionProvider

      public class IncQueryViewersJFaceViewSupport
      extends IncQueryViewersViewSupport
      implements org.eclipse.jface.viewers.ISelectionProvider

  IncQuery Viewers support class to support `ViewPart`s with a single JFace Viewer.
  Author:
    istvanrath

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.incquery.viewers.runtime.extensions.IncQueryViewersPartSupport

      `configuration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IncQueryViewersJFaceViewSupport(org.eclipse.ui.IViewPart _owner, ViewersComponentConfiguration _config, IModelConnectorTypeEnum _scope, org.eclipse.jface.viewers.StructuredViewer _jfaceViewer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
    `void` | `dispose()` Dispose the support instance.
    `org.eclipse.jface.viewers.ISelection` | `getSelection()`
    `void` | `removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)`
    `void` | `setSelection(org.eclipse.jface.viewers.ISelection selection)`

    - ### Methods inherited from class org.eclipse.incquery.viewers.runtime.extensions.IncQueryViewersViewSupport

      `createPartControl`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IncQueryViewersJFaceViewSupport

          public IncQueryViewersJFaceViewSupport(org.eclipse.ui.IViewPart _owner,
                                                 ViewersComponentConfiguration _config,
                                                 IModelConnectorTypeEnum _scope,
                                                 org.eclipse.jface.viewers.StructuredViewer _jfaceViewer)

  - ### Method Detail

    - #### dispose

          public void dispose()

      Description copied from class: `IncQueryViewersPartSupport`
      Dispose the support instance. Should be called when the owner `IWorkbenchPart` it starting to dispose itself.
      Overrides:
        `dispose` in class `IncQueryViewersViewSupport`

    - #### addSelectionChangedListener

          public void addSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

      Specified by:
        `addSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`

    - #### getSelection

          public org.eclipse.jface.viewers.ISelection getSelection()

      Specified by:
        `getSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`

    - #### removeSelectionChangedListener

          public void removeSelectionChangedListener(org.eclipse.jface.viewers.ISelectionChangedListener listener)

      Specified by:
        `removeSelectionChangedListener` in interface `org.eclipse.jface.viewers.ISelectionProvider`

    - #### setSelection

          public void setSelection(org.eclipse.jface.viewers.ISelection selection)

      Specified by:
        `setSelection` in interface `org.eclipse.jface.viewers.ISelectionProvider`